Returns the non-sensitive details of a card by a given ID.
Get Card
/api/cards/{cardId} Request
Path Parameters
cardIdstringrequiredPrimary identifier of the card to fetch
Response
Successful operation.
Body application/json
idstringrequiredCard primary identifier
accountIdstringrequiredUser account ID linked to card
typestringrequiredAllowed values:virtualphysicalType of the card
createdAtstringrequiredTimestamp of card creation
modifiedAtstringrequiredTimestamp of card modification
expiresAtstringrequiredTimestamp of card expiration
isBlockedbooleanrequiredWhether the card is blocked
statusstringrequiredAllowed values:activecancelledcreatedshippedStatus of the card
fundingSourceIdsstring[]requiredList of Funding Source IDs linked to the card
cardProgramIdstringrequiredID of card program linked to the card
regionCodestringrequiredAn Alpha2 (ISO-3166-1) country code representing the country where the card is issued.
currencystringAn ISO 4217 currency code representing the issuing currency of the card.
expirystringExpiry date of the card in the format YYYYMM
panFirst6stringFirst 6 digits of the card's PAN (Primary Account Number)
panLast4stringLast 4 digits of the card's PAN (Primary Account Number)
networkstringAllowed values:mastercardsimulatorThe payment network the card is issued on. The value
simulatoris returned for test-mode cards, which route through Immersve's simulator rather than a live network.seriesIdstringOpaque identifier for the card's reissuance lineage. All cards in a reissuance chain share the same
seriesId. Treat this value as opaque: do not assume any relationship toidor any other field.Use as the
primaryAccountIdentifierwhen constructing an Apple PayPKAddPaymentPassRequestConfiguration. PassKit uses this value to detect that a card is already present in the wallet even if the card was reissued.immersveExpirationstringDeprecated field, use expiresAt
cancelReasonstringAllowed values:provisioning-faileduser-requestedexternal-provider-failedexpiredreissuedReason why the card was cancelled
successorCardIdstringThe ID of the card that was reissued from this card.
reissuanceTypestringAllowed values:standard-renewalThe reason this card was reissued.
trackingUrlstringURL to track the shipment of a physical card.
cardholderNamestringThe cardholder's name as it should be displayed when adding the card to a digital wallet. Use as the
cardholderNamewhen constructing an Apple PayPKAddPaymentPassRequestConfiguration.unfreezeAllowedbooleanIndicates whether the card can be unfrozen with the unfreeze endpoint
Request fields are invalid.
Body application/json
statusCodeintegerrequiredstatusNamestringrequirederrorCodestringrequirederrorsobject[]Items
messagestringpathstringThe location of the invalid path param, query param or payload attribute.
No Authorization to access resource.
Body application/json
statusCodeintegerrequiredstatusNamestringrequirederrorCodestringrequiredreasonstring